import React, { useState } from "react";
import useJsonHealthCheck from "../../hooks/useJsonHealthCheck";
import { StatusMessage, UNKNOWN, OK, BAD, FAILED } from "../shared/StatusMessage";

export default () => {
  const [health, setHealth] = useState(UNKNOWN);
  useJsonHealthCheck(
    "https://kirkleon.ddns.net/terrassumptions/api",
    () => setHealth(OK),
    () => setHealth(BAD),
    () => setHealth(FAILED),
  );
  
  return (
    <a className="tile" href="https://kirkleon.ddns.net/terrassumptions/">
      <span className="tile__title">TerrAssumptions</span>
      <StatusMessage health={health} />
    </a>
  );
}
